### File

`packages/ecl/components/ecl-file/ecl-file-item/ecl-file-item.component.ts`

### Description

Component representing a single file translation or descriptive item inside the main ECL File component.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-file-item`
templateUrl | `./ecl-file-item.component.html`

### Index

###### Properties
role
###### Methods
getCssClasses
###### Inputs
eclTitle isDescription label langDetail meta titleId class e2eAttr tabindex
###### HostBindings
attr.role class
###### Accessors
cssClasses isThumbnail

### Constructor

`constructor(eclFileComponent: EclFileComponent)`
Injects parent `EclFileComponent` to access thumbnail state. Used to align or style this item in context of the main file. Parameters :
Name | Type | Optional
eclFileComponent | `EclFileComponent` | No

### Inputs

eclTitle
Type : `string`
Title text of the file item.

isDescription
Type : `boolean`
Default value : `false`
Indicates whether the item is a description block rather than a translation. Adds the `ecl-file__translation-description` class when true.

label
Type : `string`
Language label displayed next to the title (e.g., "FR", "EN").

langDetail
Type : `string`
Supplementary language detail displayed below the language label.

meta
Type : `string`
Additional metadata for the item (e.g., file size, type).

titleId
Type : `string`
ID applied to the title element for accessibility.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'listitem'`
ARIA role attribute set to 'listitem' for accessibility.

class
Type : `string`
Host CSS classes for the item, based on the content and state.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`
ARIA role attribute set to 'listitem' for accessibility.

### Accessors

cssClasses
get `cssClasses()`
Host CSS classes for the item, based on the content and state. Returns : `string`

isThumbnail
get `isThumbnail()`
Indicates whether the parent `EclFileComponent` has a thumbnail image. Returns : `boolean`

# results matching ""

# No results matching ""